Package org.openoffice.da.comp.writer2xhtml

# Class EpubMetadataDialog

java.lang.Object
org.openoffice.da.comp.w2lcommon.helper.DialogAccess
org.openoffice.da.comp.w2lcommon.helper.DialogBase
org.openoffice.da.comp.writer2xhtml.EpubMetadataDialog

All Implemented Interfaces:
  `com.sun.star.awt.XDialogEventHandler`, `com.sun.star.lang.XServiceInfo`, `com.sun.star.lang.XServiceName`, `com.sun.star.lang.XTypeProvider`, `com.sun.star.ui.dialogs.XExecutableDialog`, `com.sun.star.uno.XInterface`

public class EpubMetadataDialog extends DialogBase
This class provides a UNO component which implements a custom metadata editor UI for the EPUB export

## Field Summary

Fields
Modifier and Type
Field
Description
`static String`
`__implementationName`
The component should also have an implementation name.
`static String`
`__serviceName`
The component will be registered under this name.

### Fields inherited from class org.openoffice.da.comp.w2lcommon.helper.DialogBase

`xContext`

### Fields inherited from class org.openoffice.da.comp.w2lcommon.helper.DialogAccess

`CHECKBOX_CHECKED, CHECKBOX_DONT_KNOW, CHECKBOX_NOT_CHECKED`

### Fields inherited from interface com.sun.star.awt.XDialogEventHandler

`UNOTYPEINFO`

### Fields inherited from interface com.sun.star.ui.dialogs.XExecutableDialog

`UNOTYPEINFO`

### Fields inherited from interface com.sun.star.lang.XServiceInfo

`UNOTYPEINFO`

### Fields inherited from interface com.sun.star.lang.XServiceName

`UNOTYPEINFO`

### Fields inherited from interface com.sun.star.lang.XTypeProvider

`UNOTYPEINFO`

## Constructor Summary

Constructors
Constructor
Description
`EpubMetadataDialog(com.sun.star.uno.XComponentContext xContext)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`callHandlerMethod(com.sun.star.awt.XDialog xDialog, Object event, String sMethod)`
`protected void`
`endDialog()`
End the dialog after execution (eg. save settings to the registry) The subclass must implement this
`String`
`getDialogLibraryName()`
Return the name of the library containing the dialog The subclass must override this to provide the name of the library
`String`
`getDialogName()`
Return the name of the dialog within the library The subclass must override this to provide the name of the dialog
`String[]`
`getSupportedMethodNames()`
`protected void`
`initialize()`
Initialize the dialog (eg. with settings from the registry) The subclass must implement this

### Methods inherited from class org.openoffice.da.comp.w2lcommon.helper.DialogBase

`execute, getImplementationId, getImplementationName, getServiceName, getSupportedServiceNames, getTypes, setTitle, supportsService`

### Methods inherited from class org.openoffice.da.comp.w2lcommon.helper.DialogAccess

`getCheckBoxState, getCheckBoxStateAsBoolean, getComboBoxText, getControlEnabled, getControlProperties, getDateFieldValue, getDialog, getFormattedFieldText, getLabelText, getListBoxLineCount, getListBoxSelectedItem, getListBoxStringItemList, getNumericFieldValue, getTextFieldText, setCheckBoxState, setCheckBoxStateAsBoolean, setComboBoxText, setControlEnabled, setDateFieldValue, setDialog, setFormattedFieldText, setLabelText, setListBoxLineCount, setListBoxSelectedItem, setListBoxStringItemList, setNumericFieldValue, setTextFieldText`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### __serviceName

public static String __serviceName
The component will be registered under this name.

### __implementationName

public static String __implementationName
The component should also have an implementation name.

## Constructor Details

### EpubMetadataDialog

public EpubMetadataDialog(com.sun.star.uno.XComponentContext xContext)

## Method Details

### getDialogLibraryName

public String getDialogLibraryName()
Description copied from class: `DialogBase`
Return the name of the library containing the dialog The subclass must override this to provide the name of the library

Specified by:
  `getDialogLibraryName` in class `DialogBase`

### getDialogName

public String getDialogName()
Description copied from class: `DialogBase`
Return the name of the dialog within the library The subclass must override this to provide the name of the dialog

Specified by:
  `getDialogName` in class `DialogBase`

### callHandlerMethod

public boolean callHandlerMethod(com.sun.star.awt.XDialog xDialog, Object event, String sMethod)

Specified by:
  `callHandlerMethod` in interface `com.sun.star.awt.XDialogEventHandler`
Overrides:
  `callHandlerMethod` in class `DialogBase`

### getSupportedMethodNames

public String[] getSupportedMethodNames()

Specified by:
  `getSupportedMethodNames` in interface `com.sun.star.awt.XDialogEventHandler`
Overrides:
  `getSupportedMethodNames` in class `DialogBase`

### initialize

protected void initialize()
Description copied from class: `DialogBase`
Initialize the dialog (eg. with settings from the registry) The subclass must implement this

Specified by:
  `initialize` in class `DialogBase`

### endDialog

protected void endDialog()
Description copied from class: `DialogBase`
End the dialog after execution (eg. save settings to the registry) The subclass must implement this

Specified by:
  `endDialog` in class `DialogBase`